#version 330 core

in vec2 out_uv;

out vec4 out_color;

uniform sampler2D uniform_texture_num;
uniform vec4 uniform_color_mod;

void main() {
	out_color = texture(uniform_texture_num, out_uv) * uniform_color_mod;
}
